<div *ngIf="errorMessage; else noError" class="alert alert-warning">
  <strong>Warning!</strong> {{errorMessage | json}}
</div>

<ng-template #noError>
  <div *ngIf="!this.svg; else elseLoading">
    <app-loading-screen></app-loading-screen>
  </div>
</ng-template>

<ng-template #elseLoading>

  <p>The current "As is" model</p>

  <div class="mx-5">
    <app-zoom-pan-container class="as--is--model" #models>
      <div [innerHTML]="svg"></div>
    </app-zoom-pan-container>
  </div>

  <div class="container">
    <button class="btn btn-success" id="buttonResetView" (click)="models.reset()">Reset view</button>
    <div *ngIf="this.sendInput.AsIs.OldAsIsModel != null;">
      <button class="btn btn-success" id="buttonShowDifferenceFromOldAsIsModel" (click)="toogleShowComparison(); models.reset()">Toogle difference</button>
    </div>
  </div>

    <div class="container-fluid mt-2">
      <div class="row app-container p-2">
        <div class="col-lg-12 offset-md-0">
          <div *ngIf="this.showComparison == true || this.currentRisks.length > 0;">
            <p>Legend</p>
            <div class="table-responsive">
              <table class="table table-condensed">

                <tr>
                  <th width="2%">Color</th>
                  <th width="98%">Decription</th>
                </tr>

                <tbody>
                <tr *ngFor="let legenelement of this.legendElements;">
                  <td class="color-box" [ngStyle]="{'background-color':legenelement.colorcode}"> </td>
                  <td>{{ legenelement.description }}</td>
                </tr>
                </tbody>

              </table>
            </div>
          </div>
        </div>
      </div>
    </div>

  <div class="container-fluid mt-2">
    <div class="row app-container p-2">
      <div class="col-lg-12 offset-md-0">

        <div *ngIf="sendInput.AsIs.Risks != null;">

          <div *ngIf="sendInput.AsIs.Risks .length == 0; else elseBlockRisks">
            <p>No PCP instances</p>
          </div>

          <ng-template #elseBlockRisks>
            <p>PCP instances in the "As is" model</p>
            <div class="table-responsive">
              <table class="table table-condensed">

                <tr>
                  <th width="2%">#</th>
                  <th width="8%">Name</th>
                  <th width="85%">Risk description</th>
                  <th width="5%">Actions</th>
                </tr>

                <tbody>
                <tr *ngFor="let risk of sendInput.AsIs.Risks;">
                  <th scope="row">{{ risk.ID }}</th>
                  <td>{{ risk.Name }}</td>
                  <td>{{ risk.Description }}</td>
                  <td>
                    <div class="btn btn-danger" [attr.id]="'riskElement' + risk.ID" (click)="selectRisks(risk, risk.ID); models.reset()">
                      Select
                    </div>
                  </td>
                </tr>
                </tbody>

              </table>
            </div>
          </ng-template>
        </div>
      </div>
    </div>
  </div>
</ng-template>
